RevocationAPI Reference
Revocation lists
Retrieve all Semantic CWT credentials revocation lists
GET
Returns a list of all Semantic CWT credential revocation lists on the tenant.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_LISTS_RETRIEVE_STARTCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_LISTS_RETRIEVE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_LISTS_RETRIEVE_FAIL
Revocation lists retrieved
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/credentials/compact-semantic/revocation-lists"[ { "nextCursor": "string", "data": [ { "id": "string", "issuer": "string", "url": "string" } ] }]Retrieve a Semantic CWT credential revocation list
GET
Returns a Semantic CWT credential revocation list by providing its ID.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_STARTCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_FAIL
listId*stringThe unique identifier of the revocation list you wish to retrieve.
Revocation list retrieved
response?fileapplication/cwtFormat
binarycurl -X GET "https://example.com/v2/credentials/compact-semantic/revocation-lists/string""string"How would you rate this page?
Last updated on